Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8162 - /bin/date cannot parse CEST timezone
Summary: /bin/date cannot parse CEST timezone
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-04 13:29 UTC by han.holl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 13:19:08 UTC


Attachments (Terms of Use)

Description han.holl 2000-01-04 13:29:16 UTC
date --date "Tue Apr 27 21:17:44 CEST 1999"
produces:
date: invalid date `Tue Apr 27 21:17:44 CEST 1999'

This is because CEST was accidentally omitted from
lib/getdate.c

Here is the patch. Please also inform the sh-utils mantainers.

Han Holl

--- sh-utils-1.16/lib/getdate.c.cest    Wed May 12 15:21:12 1999
+++ sh-utils-1.16/lib/getdate.c Wed May 12 15:22:48 1999
@@ -1612,6 +1612,7 @@
     { "nt",    tZONE,     HOUR (11) }, /* Nome */
     { "idlw",  tZONE,     HOUR (12) }, /* International Date Line West */
     { "cet",   tZONE,     -HOUR (1) }, /* Central European */
+    { "cest",  tDAYZONE,     -HOUR (1) },      /* Central European Summer
*/
     { "met",   tZONE,     -HOUR (1) }, /* Middle European */
     { "mewt",  tZONE,     -HOUR (1) }, /* Middle European Winter */
     { "mest",  tDAYZONE,  -HOUR (1) }, /* Middle European Summer */

Comment 1 Jeff Johnson 2000-01-05 13:19:59 UTC
Fixed in sh-utils-2.0-3. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.